org.apache.ignite.internal.util

## Class GridFixedSizeInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.ignite.internal.util.GridFixedSizeInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class GridFixedSizeInputStream
    extends InputStream

Input stream wrapper which allows to read exactly expected number of bytes.

### Constructor Summary

Constructors
Constructor and Description
`GridFixedSizeInputStream(InputStream in, long size)`

### Method Summary

Methods
`int` `available()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`close, mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridFixedSizeInputStream

    public GridFixedSizeInputStream(InputStream in,
                            long size)

Parameters:
  `in` - Input stream.
  `size` - Size of available data.

### Method Detail

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### available

    public int available()
                  throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017